/* ============================== */
/* == Chat Preview == */
/* ============================== */

/* Tvinga visa chat-preview även när parent är dold */
/*div[id^="fello-tabs-2"] .synaptica-chat-preview {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
}*/

.avia_codeblock_section .avia_code_block_5 .avia_code_block_7 .avia_code_block_11 {
    min-width: 400px !important;
}

.synaptica-chat-preview {
    margin-left: 2%;
    max-width: 400px;
    min-height: 600px;
    border-radius: 14px;
    overflow: hidden;
    background: #fff;
    box-shadow: 0px 1px 16px 4px rgba(0, 0, 0, 0.23);
    -webkit-box-shadow: 0px 1px 16px 4px rgba(0, 0, 0, 0.23);
    -moz-box-shadow: 0px 1px 16px 4px rgba(0, 0, 0, 0.23);
}

/* Header */
.synaptica-chat-preview-header {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 12px;
    font-weight: 600;
    height: 50px;
}

.synaptica-chat-preview-logo {
    width: 35px;
    height: 35px;
    border-radius: 8px;
    object-fit: cover;
    flex: 0 0 auto
}

.synaptica-chat-preview-title {
    flex: 1 1 auto;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: 600;
    font-size: medium;
}

.synaptica-chat-preview-trash {
    flex: 0 0 auto;
    cursor: default;
    opacity: .85
}

/* Body */
.synaptica-chat-preview-body {
    min-height: 465px;
    padding: 12px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    background: #2d2d2d;
}

.synaptica-chat-preview-bubble {
    max-width: 80%;
    padding: 10px 12px;
    border-radius: 14px;
    font-size: 14px;
    line-height: 1.25
}

.synaptica-chat-preview-bubble-assistant {
    align-self: flex-start;
    background: #114c4e;
    color: #fff
}

.synaptica-chat-preview-bubble-visitor {
    align-self: flex-end;
    background: #2d7e80;
    color: #fff
}

/* Chat input */
.synaptica-chat-preview-input {
    display: flex;
    gap: 10px;
    align-items: center;
    padding: 10px 12px 0;
    background: #fff
}

.synaptica-chat-preview-input-placeholder {
    flex: 1 1 auto;
    color: #666;
    background: #f3f3f3;
    border-radius: 0 0 0 7px;
    padding: 10px 12px;
    font-size: 14px;
    border: 1px solid #bfc9d4 !important;
}

.synaptica-chat-preview-send {
    width: 36px;
    height: 36px;
    border-radius: 999px;
    background: #062326;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px
}

/* Power by */
.synaptica-power-by {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #787878;
    margin: 7px 0 7px 0;
    gap: 6px;
}

.synaptica-power-by img {
    height: 43px;
    width: auto;
    display: inline-block;
}

.synaptica-power-by.is-hidden {
    display: none;
}

/* ============================== */
/* == MOBIL: RESPONSIV == */
/* ============================== */
@media (max-width: 767px) {
    .avia_codeblock_section .avia_code_block_7 {
        margin-left: 2% !important;
        width: 336px !important;
        margin-left: 0px !important;
        justify-content: center !important;
    }

    :root {
        --synaptica-line-height: 103vh;
    }

    .left-line,
    .right-line {
        height: var(--synaptica-line-height);
    }

    .synaptica-tabs-separator-bottom::before {
        content: "";
        display: block;
        max-width: 1210px;
        height: 1px;
        background-color: #062326;
        margin: calc(var(--synaptica-line-height) + 0px) auto 30px auto;
        opacity: 0;
        transform: scaleX(0.001);
        transform-origin: center;
        transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;
    }

    .av-section-tab-title.av-active-tab-title::before {
        transform: scaleY(1);
        opacity: 1;
    }
}